/* ESRI Styling */

/* BASEMAPS */
	
	.esriBasemapGallery {
		margin-left:0px;
		padding:0px 10px 0px 10px;
	}
	
	.esriBasemapGalleryNode { 
		float:none; 
		width:100%;
		border:solid 1px #d8ebda;			
		display:block; 
		margin:10px 10px 0px 0px; 
		padding:5px;
		border-radius:5px;			
		background:#f0f9f2; /* For browsers that do not support gradients */
	    background:-webkit-linear-gradient(top,#f0f9f2,#f0f9f2,#d8ebda); /* For Safari 5.1 to 6.0 */
	    background:-o-linear-gradient(top,#f0f9f2,#f0f9f2,#d8ebda); /* For Opera 11.1 to 12.0 */
	    background:-moz-linear-gradient(top,#f0f9f2,#f0f9f2,#d8ebda); /* For Firefox 3.6 to 15 */
	    background:linear-gradient(top,#f0f9f2,#f0f9f2,#d8ebda); /* Standard syntax */ 
	}
	
	.esriBasemapGalleryNode a {
		vertical-align:top;
		display:inline-block;
		border:solid 0px black;
	}
	
	.esriBasemapGalleryThumbnail {
		border:0px;
		margin:0px;
		box-shadow:none;
		border-radius:5px;
	}
	
	.esriBasemapGallerySelectedNode .esriBasemapGalleryThumbnail {
		border:2px solid #00dd66;
		margin:0;
	}
	
	.esriBasemapGalleryLabelContainer {
		vertical-align:top;
		padding-top:0px;
		padding-bottom:0px;
		width:150px;
		display:inline-block;
		overflow:visible;		
		font-size:0.8em;
		height:38px;
	}
	
	.esriBasemapGalleryLabelContainer span {
		display:table-cell;
		vertical-align:middle;
		text-align:left;
		width:130px;
		padding-left:20px;
		height:67px;
		font-size:1.15em;
		color:#737373;
		font-weight:bold;
	}
	
	
/* LAYERS */

	.esriLayerList .esriContainer {
	/* Layer List: Inside Container */
		padding:0;
		border:0;
		border-radius:0;
		border-bottom:0;
	}
	
	.esriLayerList .esriContainer .esriHasTabContent { }
	
	.esriContainer .esriLayer {
		border:1px solid #d8ebda;			
		display:block; 
		margin:7px 4px; 
		padding:5px;
		border-radius:5px;			
		background:#f0f9f2; /* For browsers that do not support gradients */
	    background:-webkit-linear-gradient(top,#f0f9f2,#f0f9f2,#d8ebda); /* For Safari 5.1 to 6.0 */
	    background:-o-linear-gradient(top,#f0f9f2,#f0f9f2,#d8ebda); /* For Opera 11.1 to 12.0 */
	    background:-moz-linear-gradient(top,#f0f9f2,#f0f9f2,#d8ebda); /* For Firefox 3.6 to 15 */
	    background:linear-gradient(top,#f0f9f2,#f0f9f2,#d8ebda); /* Standard syntax */
	}
	
	.esriLayerList .esriSliderLabels {
	/* Layer List: Slider Numbers Container */
		height:auto;
		color:#737373;
		font-weight:bold;
	}
	
	.esriContainer .esriLayer .esriTabContainer {
	/* Layer List: Layer Slider */
		padding:0px 8px 8px 8px;
	}
	
	.esriLayerList .esriContainer .esriTitleContainer {
		border:0;
		color:#000;
	}
	
	.esriLayerList .esriContainer .esriLabel {
	/* Layer List: Layer Label */
		float:left;
		font-weight:normal;
		display: block;
		padding:0 0 0 5px;
		margin:0px;
		word-wrap:break-word;
		width:75%;
		color:#4d4d4d;
	}
	
	esriList { }
	
	.esriListVisible .esriLabel {
	/* Layer List: Layer Label ( when checked ) */
		padding:0 0 0 5px;
		width:65% !important; 
		color:#cc5200 !important; 
	} 
	
	.esriLayerList .esriHasTabContent.esriHasButton .esriLabel{
		padding-right: 15px;
	}
	
	.esriLayerList .esriContainer .esriCheckbox {
		float:left;
		height:16px;
		width:16px;
		padding:0px;
		margin:0px;
	}
	
	.esriLayerList .esriToggleButton {
	/* Layer List: Open/Close Button Area */
		float:left;
		height:auto;
		width:auto;
		line-height:auto;
		margin:0 0 0 3px;
		padding:0px;
		cursor:pointer;
		text-align:left;
		padding:0px;
		width:16px;
		height:16px;
		outline:none;
	}
	
	.esri-icon-right:before {
	/* Layer List: Button Closed */
		content: '';
		background:url("/static/images/plus_sign.png");
		width:100%;
		height:100%;
		display:block;
	}
	
	.esri-icon-down:before {
	/* Layer List: Button Opened */
		content: '';
		background:url("/static/images/minus_sign.png");
		width:100%;
		height:100%;
		display:block;
	}
	
	.esriLayerList .esriTabSelected {
	/* slider: body */
		padding:0;
		margin:0;
	} 
	
	.esriLayerList .dijitSlider {
	/* slider: line width */ 
		width:100%;
	} 
	
	.esriLayerList .esriSliderLabels {
	/* slider: labels width */
		width:calc(100% - 26px);
	} 
			
	.dijitSliderProgressBarH {
	/* slider: bar area - filled */
		border-color:#375e27;
		background-color:#77cc56;
		height:8px;
	}
	
	.dijitSliderLeftBumper {
	/* slider: bar background left bumper */
		border-color:#375e27;
		background-color:#77cc56;
		height:8px;
		border-radius:4px 0 0 4px;
	}
	
	.dijitSliderRightBumper {
	/* slider: bar background right bumper */
		border-color:#375e27;
		background-color:#375e27;
		height:8px;
		border-radius:0 4px 4px 0;
	}
	
	.dijitSliderBarContainerH {
	/* slider: bar background */
		border-color:#375e27;
		background-color:#375e27;
		height:8px;
	}
	
	.dijitSliderRemainingBarH {
	/* slider: bar area - remaining to fill */
		border-color:#375e27;
		background-color:#375e27;
		height:8px;
	}
	
	.dijitSliderMoveable div, .dijitSliderMoveableH div {
	/* slider: handle */
		width:16px;
		height:16px;
		border:0;
		top:-5px; 
		border-radius:5px;
		outline:none;
		background:url("http://findicons.com/files/icons/1620/crystal_project/16/mini_circle.png");
	}
	
	.dijitSliderThumbFocused {
	/* slider: handle focused */
		border-color:red;
		background-color:red;
	}
	
	.dijitSliderImageHandle, .dijitSliderImageHandleH {  }


/* LEGENDS */
	
	.esriLegendService {
		padding-top:5px;
		padding-bottom:5px;
		padding-left:10px;
		border:1px solid #d8ebda;
		margin:7px 4px;
		border-radius: 5px;			
		background:#f0f9f2; /* For browsers that do not support gradients */
	    background:-webkit-linear-gradient(top,#f0f9f2,#d8ebda); /* For Safari 5.1 to 6.0 */
	    background:-o-linear-gradient(top,#f0f9f2,#d8ebda); /* For Opera 11.1 to 12.0 */
	    background:-moz-linear-gradient(top,#f0f9f2,#d8ebda); /* For Firefox 3.6 to 15 */
	    background:linear-gradient(top,#f0f9f2,#d8ebda); /* Standard syntax */
	    max-width:300px !important;/* max-width:300px; */ /* auto !important --- calc(20% - 20px) */
	    min-width:150px !important;
	    width:auto !important;
	    display:inline-block !important;
	    vertical-align:top;
	    font-size:0.6em;
	}
	
	#legendDiv_layer0 {
		display:none !important;
	}
	
	#legendDiv_layer1 {
		display:none !important;
	}
	
	.esriLegendServiceLabel {
		display:block;
		color:#cc5200;
		text-weight:bold;
		font-size:1.2em;
		/* max-width:140px; */
		width:auto !important;
		word-wrap:break-word;
	}
	
	.esriLegendService table + div {
		padding:0;
		font-weight:bold;
		color:#4d4d4d;
	}
	
	.esriLegendService > :first-child { float:left !important; width:40% !important; max-width:80px; vertical-align:top; }
	
	.esriLegendService > :first-child + div { float:left !important; max-width:50%; vertical-align:top }
	
	.esriLegendLayer td:first-child + td table { width:95% !important; }
		
	.esriLegendMsg {
		padding-left:10px;
		padding-top:5px;
		font-size:0.9em;
		color:#737373;
		font-weight:bold;
	}
	
	.esriLegendLayer { width:100%; /* 100% !important */ }
	
	/* SPECIAL */
	#legendDiv_Hospitals { max-width: 400px;  }	
	#legendDiv_Hospitals > :first-child { width:65px !important; }
	#legendDiv_Hospitals > :first-child + div { max-width:100% !important; }
	
	#legendDiv_Total_Potential_Healthcare_Exchange_Eligibles_by_County { max-width: 200px;  }
	#legendDiv_Total_Potential_Healthcare_Exchange_Eligibles_by_County > :first-child { max-width:40% !important; }
	#legendDiv_Total_Potential_Healthcare_Exchange_Eligibles_by_County > :first-child + div { width:50% !important; }
	
	#legendDiv_Total_Potential_Medicaid_Beneficiaries_by_County { max-width: 230px;  }
	#legendDiv_Total_Potential_Medicaid_Beneficiaries_by_County > :first-child { max-width:40% !important; }
	#legendDiv_Total_Potential_Medicaid_Beneficiaries_by_County > :first-child + div { width:50% !important; }
	
	#legendDiv_Economic_Impact { max-width: 250px;  }
	#legendDiv_Economic_Impact > :first-child { max-width:40% !important; }
	#legendDiv_Economic_Impact > :first-child + div { width:50% !important; }
	
	#legendDiv_Aggregate_Summary { max-width: 250px;  }
	#legendDiv_Aggregate_Summary > :first-child { max-width:40% !important; }
	#legendDiv_Aggregate_Summary > :first-child + div { width:50% !important; }
	
	#legendDiv_Congressional_Districts { max-width: 150px; }
	#legendDiv_Congressional_Districts > :first-child { max-width:40% !important; }
	#legendDiv_Congressional_Districtss > :first-child + div { width:50% !important; }
	
	#legendDiv_Primary_Care_HPSA { max-width: 200px; } #legendDiv_Primary_Care_HPSA > :first-child { max-width:40% !important; }
	
	#legendDiv_Dental_Care_HPSA { max-width: 200px; } #legendDiv_Dental_Care_HPSA > :first-child { max-width:40% !important; }
	
	#legendDiv_Mental_Health_HPSA { max-width: 200px; } #legendDiv_Mental_Health_HPSA > :first-child { max-width:40% !important; }
	

	.dijitTooltipContainer {
		border-radius: 8px;
		padding: 8px 10px;
		background: #fff;
		border: solid 2px #ff3300;
		color: #000;
		width: 150px;
		text-align: center;
	}

